> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend Email

> Resend an email for a return group



## OpenAPI

````yaml POST /v2/return-groups/{return_group_id}/emails
openapi: 3.1.0
info:
  title: Frate Returns API
  version: 0.1.0
servers:
  - url: /api
security: []
paths:
  /v2/return-groups/{return_group_id}/emails:
    post:
      summary: Resend Email
      description: Public API resend email for return group endpoint
      operationId: resend_email_v2_return_groups__return_group_id__emails_post
      parameters:
        - name: return_group_id
          in: path
          required: true
          schema:
            type: integer
            title: Return Group Id
        - name: x-frate-api-token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Frate-Api-Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResendEmailInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResendEmailInput:
      properties:
        email_type:
          $ref: '#/components/schemas/ExternalEmailTypeEnum'
          description: The type of email to resend
      type: object
      required:
        - email_type
      title: ResendEmailInput
      description: Input serializer for reviewing a return group
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExternalEmailTypeEnum:
      type: string
      enum:
        - SHIP_BACK_REQUEST
      title: ExternalEmailTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````